Bug 1231394 - [abrt] gkrellm: exit(): gkrellm killed by SIGSEGV
Summary: [abrt] gkrellm: exit(): gkrellm killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gkrellm-sun
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dbbf9cb8b39e0bb9d53c76d82aa...
: 1246086 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-12 23:55 UTC by napfkuchen
Modified: 2016-03-09 20:12 UTC (History)
5 users (show)

Fixed In Version: gkrellm-sun-1.0.0-20.fc23 gkrellm-sun-1.0.0-20.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 15:52:42 UTC


Attachments (Terms of Use)
File: backtrace (19.53 KB, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: core_backtrace (7.64 KB, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: dso_list (10.88 KB, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: environ (1.82 KB, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: maps (56.32 KB, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: mountinfo (3.37 KB, text/plain)
2015-06-12 23:55 UTC, napfkuchen
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-12 23:56 UTC, napfkuchen
no flags Details
File: open_fds (1.05 KB, text/plain)
2015-06-12 23:56 UTC, napfkuchen
no flags Details
File: proc_pid_status (963 bytes, text/plain)
2015-06-12 23:56 UTC, napfkuchen
no flags Details
File: var_log_messages (476 bytes, text/plain)
2015-06-12 23:56 UTC, napfkuchen
no flags Details

Description napfkuchen 2015-06-12 23:55:47 UTC
Version-Release number of selected component:
gkrellm-2.3.5-21.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        gkrellm
crash_function: exit
executable:     /usr/bin/gkrellm
global_pid:     29027
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (2 frames)
 #10 exit at exit.c:104
 #11 gkrellm_exit at main.c:1998

Comment 1 napfkuchen 2015-06-12 23:55:50 UTC
Created attachment 1038188 [details]
File: backtrace

Comment 2 napfkuchen 2015-06-12 23:55:51 UTC
Created attachment 1038189 [details]
File: cgroup

Comment 3 napfkuchen 2015-06-12 23:55:52 UTC
Created attachment 1038190 [details]
File: core_backtrace

Comment 4 napfkuchen 2015-06-12 23:55:54 UTC
Created attachment 1038191 [details]
File: dso_list

Comment 5 napfkuchen 2015-06-12 23:55:55 UTC
Created attachment 1038192 [details]
File: environ

Comment 6 napfkuchen 2015-06-12 23:55:56 UTC
Created attachment 1038193 [details]
File: limits

Comment 7 napfkuchen 2015-06-12 23:55:58 UTC
Created attachment 1038194 [details]
File: maps

Comment 8 napfkuchen 2015-06-12 23:55:59 UTC
Created attachment 1038195 [details]
File: mountinfo

Comment 9 napfkuchen 2015-06-12 23:56:00 UTC
Created attachment 1038196 [details]
File: namespaces

Comment 10 napfkuchen 2015-06-12 23:56:01 UTC
Created attachment 1038198 [details]
File: open_fds

Comment 11 napfkuchen 2015-06-12 23:56:02 UTC
Created attachment 1038199 [details]
File: proc_pid_status

Comment 12 napfkuchen 2015-06-12 23:56:03 UTC
Created attachment 1038200 [details]
File: var_log_messages

Comment 13 Hans de Goede 2016-02-27 10:40:25 UTC
*** Bug 1246086 has been marked as a duplicate of this bug. ***

Comment 14 Hans de Goede 2016-02-27 11:08:30 UTC
Hi,

I've been debugging this, this actually is a crash in the gkrellm-sun plugin, not in gkrellm itself.

There are 2 ways to reliable reproduce the crash:

1) Enable the sun plugin (if not already enabled)
2) Disable the sun plugin
3) Enable it again

Or:

1) Enable the sun plugin (if not already enabled)
2) Disable the sun plugin
3) Quit gkrellm

I've a fix for this, expect updated packages for f22 / f23 soon. For later versions of Fedora we first need to unretire the sun plugin (which seems for the best, so that people don't keep using old buggy versions).

Regards,

Hans

Comment 15 Hans de Goede 2016-02-27 12:09:17 UTC
Since gkrellm-sun is currently retired for master / f24 it is easiest to unretire it first before creating an update fixing this.

I've filed a review request to have gkrellm-sun reviewed before it is unretired:

https://bugzilla.redhat.com/show_bug.cgi?id=1312561

Once that is resolved I'll push out updated gkrellm-sun packages with this fixed for F22 and F23 too.

Comment 16 Fedora Update System 2016-02-29 08:58:30 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc23 gkrellm-sun-1.0.0-20.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e10fd8290e

Comment 17 Fedora Update System 2016-02-29 08:59:27 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc22 gkrellm-sun-1.0.0-20.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9be2619671

Comment 18 Fedora Update System 2016-02-29 23:51:09 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9be2619671

Comment 19 Fedora Update System 2016-02-29 23:52:50 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc23, gkrellm-sun-1.0.0-20.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e10fd8290e

Comment 20 Fedora Update System 2016-03-09 15:52:37 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc23, gkrellm-sun-1.0.0-20.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-03-09 16:20:45 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-03-09 18:45:33 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-03-09 20:11:04 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-03-09 20:12:42 UTC
gkrellm-2.3.6-0.1.rc1.git20160226.fc23, gkrellm-sun-1.0.0-20.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.